#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.0.4
visibility:           public
id:                   persistent-test-2.13.0.4-5CynUgKQZ1cDGEQRS4L3NY
key:                  persistent-test-2.13.0.4-5CynUgKQZ1cDGEQRS4L3NY
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  ebe6c16e5376401e315832f8fac0dfda
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MaybeFieldDefsTest
    MigrationColumnLengthTest MigrationIdempotencyTest
    MigrationOnlyTest MigrationTest MpsCustomPrefixTest MpsNoPrefixTest
    PersistTestPetCollarType PersistTestPetType PersistUniqueTest
    PersistentTest PersistentTestModels PersistentTestModelsImports
    PrimaryTest RawSqlTest ReadWriteTest Recursive RenameTest
    SumTypeTest TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.0.4
library-dirs:         /usr/lib/ghc-9.0.2/site-local/persistent-test-2.13.0.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-persistent-test
hs-libraries:         HSpersistent-test-2.13.0.4-5CynUgKQZ1cDGEQRS4L3NY
depends:
    HUnit-1.6.2.0-Domjj11oo5z8M5T3n53nsW
    QuickCheck-2.14.2-CKku5U4XaTZ1OrrQj3RQZM
    aeson-1.5.6.0-GZUW0RX6wR0GNyId2zbUZx base-4.15.1.0
    blaze-html-0.9.1.2-FurepHreZWz84uhLaEiEvd bytestring-0.10.12.1
    conduit-1.3.4.2-GrrMREMhAVI242j6S4hGxm containers-0.6.4.1
    exceptions-0.10.4 hspec-2.9.6-GHSRA3U3XYz9VPWhK4rZaZ
    hspec-expectations-0.8.2-D88o5Qcv0Jv5TqRfdtAz9f
    http-api-data-0.4.3-JHUCPuZvVDc8DlO6Gi2k8I
    monad-control-1.0.3.1-AK8cMRBJFcdAag5TRh4yqA
    monad-logger-0.3.36-B0FUzHoYoQSIOtkCBFskDo mtl-2.2.2
    path-pieces-0.2.1-H7eklAHLAbQDmNQh33Z06o
    persistent-2.13.3.1-9KqsAG04BhM7iDNxZVf2Sx
    quickcheck-instances-0.3.27-8jLbic3Xn2KIDTRE7mRbom
    random-1.2.1.1-5iWH2ycrnoQ5ZYD66L7QAJ
    resourcet-1.2.5-GhvejsVVLZq6reA0l1BJUh text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-4OrcBiGYfPtDiwIqVfT3jr
    unliftio-0.2.22.0-61Jb7qt3UCM3rrD0hWxymx
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-F6flbRdcGQH5ESgepmhKFP

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

